local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.BlacksmithingShadowlandsValue(container)


local PorousStone = TSM_API.GetCustomPriceValue("dbmarket","i:171840")*5
local ShroudedCloth = TSM_API.GetCustomPriceValue("dbmarket","i:173202")*5
local LaestriteOre = TSM_API.GetCustomPriceValue("dbmarket","i:171828")*418
local PhaedrumOre = TSM_API.GetCustomPriceValue("dbmarket","i:171831")*20
local SinvyrOre = TSM_API.GetCustomPriceValue("dbmarket","i:171832")*20
local SoleniumOre = TSM_API.GetCustomPriceValue("dbmarket","i:171829")*20
local OxxeinOre = TSM_API.GetCustomPriceValue("dbmarket","i:171830")*20
local ElethiumOre = TSM_API.GetCustomPriceValue("dbmarket","i:171833")*30
local ShadowghastIngot = TSM_API.GetCustomPriceValue("dbmarket","i:171428")*180

Add1 = PorousStone + ShroudedCloth
Add2 = Add1 + LaestriteOre
Add3 = Add2 + PhaedrumOre
Add4 = Add3 + SinvyrOre
Add5 = Add4 + SoleniumOre
Add6 = Add5 + OxxeinOre
Add7 = Add6 + ElethiumOre
Add8 = Add7 + ShadowghastIngot



local Item = TSM_API.FormatMoneyString(Add8)






print("|cff00C78CEstimated Cost: ".."|cffffffff"..Item)









--[[
local Item = TSM_API.GetCustomPriceValue("dbmarket","p:3025")

local Item = TSM_API.GetCustomPriceValue("dbmarket","i:3025")


local Item = TSM_API.FormatMoneyString(Value)
]]--





end